Package io.vertx.rxjava.ext.auth.webauthn

## Class MetaDataService

- java.lang.Object
- - io.vertx.rxjava.ext.auth.webauthn.MetaDataService

-     public class MetaDataService
      extends Object

  Factory interface for creating FIDO2 MetaDataService.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MetaDataService>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaDataService​(MetaDataService delegate)` |
    `MetaDataService​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MetaDataService` | `addStatement​(JsonObject statement)` | Manually feed a Meta Data Statement to the service.
    `boolean` | `equals​(Object o)` |
    `Future<Boolean>` | `fetchTOC()` | Fetches the FIDO2 MDS3 TOC and process the entries to the metadata store.
    `Future<Boolean>` | `fetchTOC​(String url)` | Fetches the FIDO2 TOC for the given URL and process the entries to the metadata store.
    `MetaDataService` | `flush()` | Clears all loaded statements, both from the TOC and manually inserted.
    `MetaDataService` | `getDelegate()` |
    `int` | `hashCode()` |
    `static MetaDataService` | `newInstance​(MetaDataService arg)` |
    `Single<Boolean>` | `rxFetchTOC()` | Fetches the FIDO2 MDS3 TOC and process the entries to the metadata store.
    `Single<Boolean>` | `rxFetchTOC​(String url)` | Fetches the FIDO2 TOC for the given URL and process the entries to the metadata store.
    `String` | `toString()` |
    `JsonObject` | `verify​(Authenticator authenticator)` | Verify the metadata for a given authenticator.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MetaDataService> __TYPE_ARG

  - ### Constructor Detail

    - #### MetaDataService

          public MetaDataService​(MetaDataService delegate)

    - #### MetaDataService

          public MetaDataService​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MetaDataService getDelegate()

    - #### fetchTOC

          public Future<Boolean> fetchTOC​(String url)

      Fetches the FIDO2 TOC for the given URL and process the entries to the metadata store. Only valid entries will be stored. The operation will return `true` only if all entries have been added. `false` if they have been processed but at least one was invalid.

      The operation will only fail on network problems.

      Parameters:
        `url` - the url to the TOC
      Returns:
        future result of the operation

    - #### rxFetchTOC

          public Single<Boolean> rxFetchTOC​(String url)

      Fetches the FIDO2 TOC for the given URL and process the entries to the metadata store. Only valid entries will be stored. The operation will return `true` only if all entries have been added. `false` if they have been processed but at least one was invalid.

      The operation will only fail on network problems.

      Parameters:
        `url` - the url to the TOC
      Returns:
        future result of the operation

    - #### fetchTOC

          public Future<Boolean> fetchTOC()

      Fetches the FIDO2 MDS3 TOC and process the entries to the metadata store. Only valid entries will be stored. The operation will return `true` only if all entries have been added. `false` if they have been processed but at least one was invalid.

      The operation will only fail on network problems.

      Returns:
        future result of the operation

    - #### rxFetchTOC

          public Single<Boolean> rxFetchTOC()

      Fetches the FIDO2 MDS3 TOC and process the entries to the metadata store. Only valid entries will be stored. The operation will return `true` only if all entries have been added. `false` if they have been processed but at least one was invalid.

      The operation will only fail on network problems.

      Returns:
        future result of the operation

    - #### addStatement

          public MetaDataService addStatement​(JsonObject statement)

      Manually feed a Meta Data Statement to the service.
      Parameters:
        `statement` - the json statement
      Returns:
        fluent self

    - #### flush

          public MetaDataService flush()

      Clears all loaded statements, both from the TOC and manually inserted. The flush operation will not cancel any in-flight TOC download/processing.
      Returns:
        fluent self

    - #### verify

          public JsonObject verify​(Authenticator authenticator)

      Verify the metadata for a given authenticator. The MDS will lookup the metadata by the AAGUID. If no AAGUID is known, the result will be `null`.

      When a statement is found, the statement will be used to verify the certificate chain. A failure during this verification will throw a `RuntimeException`.

      Parameters:
        `authenticator` - authenticator to verify
      Returns:
        an MDS statement for this authenticator or `null`.

    - #### newInstance

          public static MetaDataService newInstance​(MetaDataService arg)